Package org.eclipse.lemminx.services.extensions

## Class AbstractReferenceParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.AbstractReferenceParticipant

All Implemented Interfaces:
  `IReferenceParticipant`

Direct Known Subclasses:
  `DTDReferenceParticipant`, `RNGReferenceParticipant`, `XMLReferencesReferenceParticipant`, `XSDReferenceParticipant`

    public abstract class AbstractReferenceParticipant
    extends Object
    implements IReferenceParticipant

Abstract class for reference participant.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`AbstractReferenceParticipant()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `findReference​(DOMDocument document, org.eclipse.lsp4j.Position position, org.eclipse.lsp4j.ReferenceContext context, List<org.eclipse.lsp4j.Location> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`protected abstract void` `findReferences​(DOMNode node, org.eclipse.lsp4j.Position position, int offset, org.eclipse.lsp4j.ReferenceContext context, List<org.eclipse.lsp4j.Location> locations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find the references
`protected abstract boolean` `match​(DOMDocument document)` Returns true if the reference support is applicable for the given document and false otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractReferenceParticipant

    public AbstractReferenceParticipant()

### Method Detail

#### findReference

    public void findReference​(DOMDocument document,
                              org.eclipse.lsp4j.Position position,
                              org.eclipse.lsp4j.ReferenceContext context,
                              List<org.eclipse.lsp4j.Location> locations,
                              org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Specified by:
  `findReference` in interface `IReferenceParticipant`

#### match

    protected abstract boolean match​(DOMDocument document)

Returns true if the reference support is applicable for the given document and false otherwise.

Parameters:
  `document` -
Returns:
  true if the reference support is applicable for the given document and false otherwise.

#### findReferences

    protected abstract void findReferences​(DOMNode node,
                                           org.eclipse.lsp4j.Position position,
                                           int offset,
                                           org.eclipse.lsp4j.ReferenceContext context,
                                           List<org.eclipse.lsp4j.Location> locations,
                                           org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Find the references

Parameters:
  `node` -
  `position` -
  `offset` -
  `locations` -
  `cancelChecker` -